Loading...
Searching...
No Matches
janus_streaming_mountpoint Struct Reference
Collaboration diagram for janus_streaming_mountpoint:
[legend]

## Data Fields

guint64 | id
gchar * | id_str
char * | name
char * | description
char * | metadata
gboolean | is_private
char * | secret
char * | pin
gboolean | enabled
gboolean | active
gboolean | audio
gboolean | video
gboolean | data
GThread * | thread
janus_streaming_type | streaming_type
janus_streaming_source | streaming_source
void * | source
GDestroyNotify | source_destroy
GList * | viewers
int | helper_threads
GList * | threads
volatile gint | destroyed
janus_mutex | mutex
janus_refcount | ref

## Field Documentation

## active

gboolean janus_streaming_mountpoint::active

## audio

gboolean janus_streaming_mountpoint::audio

## data

gboolean janus_streaming_mountpoint::data

## description

char* janus_streaming_mountpoint::description

## destroyed

volatile gint janus_streaming_mountpoint::destroyed

## enabled

gboolean janus_streaming_mountpoint::enabled

## helper_threads

int janus_streaming_mountpoint::helper_threads

## id

guint64 janus_streaming_mountpoint::id

## id_str

gchar* janus_streaming_mountpoint::id_str

## is_private

gboolean janus_streaming_mountpoint::is_private

## metadata

char* janus_streaming_mountpoint::metadata

## mutex

janus_mutex janus_streaming_mountpoint::mutex

## name

char* janus_streaming_mountpoint::name

## pin

char* janus_streaming_mountpoint::pin

## ref

janus_refcount janus_streaming_mountpoint::ref

## secret

char* janus_streaming_mountpoint::secret

## source

void* janus_streaming_mountpoint::source

## source_destroy

GDestroyNotify janus_streaming_mountpoint::source_destroy

## streaming_source

janus_streaming_source janus_streaming_mountpoint::streaming_source

## streaming_type

janus_streaming_type janus_streaming_mountpoint::streaming_type

## thread

GThread* janus_streaming_mountpoint::thread

## threads

GList* janus_streaming_mountpoint::threads

## video

gboolean janus_streaming_mountpoint::video

## viewers

GList* janus_streaming_mountpoint::viewers

The documentation for this struct was generated from the following file:

- janus_streaming.c